<template>
    <section
        class="resume-section p-3 p-lg-5 d-flex align-items-center"
        id="about"
    >
        <div class="w-100">
            <h1 class="mb-0">
                Llewellyn
                <span class="text-primary">Collins</span>
            </h1>
            <div class="subheading mb-5">
                Software Creator · Birmingham, UK ·
                <a href="mailto:llewellyn@iamcollins.dev"
                    >llewellyn@iamcollins.dev</a
                >
            </div>
            <p class="lead mb-5">
                Seasoned Web Engineer with an illustrious track record working
                with in the online casino industry. Having worked with brands
                such as SKY Vegas, William Hill and MicroGaming, I am highly
                proficient in JavaScript, tooling and creating mobile first
                experiences.
            </p>
            <p class="lead mb-5">
                Looking to apply my knowledge and experience to solve meaningful
                and complex problems.
            </p>

            <div class="social-icons">
                <a
                    href="https://www.linkedin.com/in/llewellyncollins/"
                    target="_blank"
                    rel="noopener noreferrer"
                >
                    <font-awesome :icon="['fab', 'linkedin']" />
                </a>
                <a
                    href="https://stackoverflow.com/users/737997/llewellyn-collins?tab=profile"
                    target="_blank"
                    rel="noopener noreferrer"
                >
                    <font-awesome :icon="['fab', 'stack-overflow']" />
                </a>
                <a
                    href="https://github.com/llewellyn1411"
                    target="_blank"
                    rel="noopener noreferrer"
                >
                    <font-awesome :icon="['fab', 'github']" />
                </a>
                <a
                    href="https://gitlab.com/llewellyn.c.collins"
                    target="_blank"
                    rel="noopener noreferrer"
                >
                    <font-awesome :icon="['fab', 'gitlab']" />
                </a>
                <a
                    href="https://twitter.com/iamcollinsZA"
                    target="_blank"
                    rel="noopener noreferrer"
                >
                    <font-awesome :icon="['fab', 'twitter']" />
                </a>
                <a
                    href="https://www.instagram.com/iamcollinsza/"
                    target="_blank"
                    rel="noopener noreferrer"
                >
                    <font-awesome :icon="['fab', 'instagram']" />
                </a>
            </div>
        </div>
    </section>
</template>

<style lang="scss" scoped>
.social-icons a {
    cursor: pointer;
    display: inline-block;
    height: 3.5rem;
    width: 3.5rem;
    background-color: var(--secondary);
    color: #fff !important;
    border-radius: 100%;
    text-align: center;
    font-size: 1.5rem;
    line-height: 3.5rem;
    margin-right: 1rem;

    @media (max-width: 380px) {
        margin-right: 0.5rem;
    }

    @media (max-width: 350px) {
        margin-right: 0.2rem;
    }
}

.social-icons a:last-child {
    margin-right: 0;
}

.social-icons a:hover {
    background-color: var(--primary);
}
</style>
